#244 vermagic error on 2.4.5 modules

open
Alex Joni
5
2010-10-17
2010-10-17
No

Hi there,

usage of fresh compiled dualbipod.ko under 2.4.5 fails, vermagic of module and running kernel does not match error.

To get this off:

Edit kernel Makefile under /usr/src/linux-headers-2.6.32-122-rtai/Makefile
remove EXTRAVERSION from debian maintainer
Add EXTRAVERSION = -122-rtai

Run make with no arguments

run comp --install dualbipod.c

Works!

Discussion

  • Jeff Epler
    Jeff Epler
    2010-10-17

    I can't reproduce this problem.

    The value of EXTRAVERSION in that file looks surprising (".21+drm33.7"), but on my system that string is not shown in the verinfo of a module compiled by comp.

    $ comp --compile example.comp; modinfo ./example.ko | grep vermagic
    ...
    vermagic: 2.6.32-122-rtai SMP mod_unload 586TSC

    I notice that the exact same EXTRAVERSION string appears in /usr/src/linux-headers-2.6.32-25-generic/Makefile from Ubuntu.

     
  • Hi,

    because of a probably unclean system I will set up a new virtual machine and test it again.